import type { JwkJson, Jwk } from './Jwk';
import type { Key } from '../../Key';
import type { JwaSignatureAlgorithm } from '../jwa';
import { KeyType } from '../../KeyType';
import { Ed25519Jwk } from './Ed25519Jwk';
import { K256Jwk } from './K256Jwk';
import { P256Jwk } from './P256Jwk';
import { P384Jwk } from './P384Jwk';
import { P521Jwk } from './P521Jwk';
import { X25519Jwk } from './X25519Jwk';
export declare function getJwkFromJson(jwkJson: JwkJson): Jwk;
export declare function getJwkFromKey(key: Key): Ed25519Jwk | K256Jwk | P256Jwk | P384Jwk | P521Jwk | X25519Jwk;
export declare function getJwkClassFromJwaSignatureAlgorithm(alg: JwaSignatureAlgorithm | string): typeof Ed25519Jwk | typeof K256Jwk | typeof P256Jwk | typeof P384Jwk | typeof P521Jwk | typeof X25519Jwk | undefined;
export declare function getJwkClassFromKeyType(keyType: KeyType): typeof Ed25519Jwk | typeof K256Jwk | typeof P256Jwk | typeof P384Jwk | typeof P521Jwk | typeof X25519Jwk | undefined;
